Subject: Re: [Ltru] Inconsistency in descriptions in BCP 47.

From: "Mark Davis" <[email-masked]>
Date: Thu, 1 May 2008 09:39:41 -0700

Ok, how about:

<t>'Deprecated' contains the date the record was deprecated. Note that some
registry entries, including both a few subtags and some of the grandfathered
or redundant tags were deprecated prior to adoption of <xref
target="RFC4646"></xref>.</t>
=>
<t>'Deprecated' contains the date the record was deprecated, or in the case
of some registry entries (including a few subtags and some of the
grandfathered or redundant tags), the date the corresponding tag was
deprecated under the rules of <xref target="RFC1766"></xref> and/or <xref
target="RFC3066"></xref>.</t>

Is that close enough?

On Wed, Apr 30, 2008 at 9:31 PM, Phillips, Addison <[email-masked]>
wrote:

>  The cases where subtags were deprecated "before the subtag registry" all
> focus on "dead on arrival" items like il/he or id/in, AFAIK. Those were NOT
> in the tag registry but have to do with ISO 639 or ISO 3166  changes. Cf:
>
>
>
> %%
>
> Type: region
>
> Subtag: DD
>
> Description: German Democratic Republic
>
> Added: 2005-10-16
>
> Preferred-Value: DE
>
> Deprecated: 1990-10-30
>
> %%
>
>
>
>
>
> Addison
>
>
>
> Addison
>
>
>
> Addison Phillips
>
> Globalization Architect -- Lab126
>
> Chair -- W3C Internationalization Core WG
>
>
>
> Internationalization is not a feature.
>
> It is an architecture.
>
>
>
> *From:* [email-masked] [mailto:[email-masked]] *On
> Behalf Of *Mark Davis
> *Sent:* Wednesday, April 30, 2008 7:40 PM
> *To:* Phillips, Addison
> *Cc:* LTRU Working Group
> *Subject:* Re: [Ltru] Inconsistency in descriptions in BCP 47.
>
>
>
> Those are good changes; I have one further suggestion below.
>
> I assume that all subtags with deprecation dates were either after the
> subtag registry was formed or were in the tag registry. If that is not true,
> can we discuss those cases?
>
> On Wed, Apr 30, 2008 at 6:16 PM, Phillips, Addison <[email-masked]>
> wrote:
>
> Good catch, but with a few minor edits needed. Primarily: it is not just
> grandfathered tags have this problem. Redundant tags do too. Also, a few
> subtags have "Date A"/"Date B" problems (cf. 'id'). Note also that I say
> 'registered' rather than 'added'. I also made the text more consistent with
> other field types (avoiding the whole "field-body" locution).
>
>
>
> I made the one on Added read:
>
>
>
> --
>
> <t>'Added' contains the date the record was registered or, in the case of
> grandfathered or redundant tags, the
>
> date the corresponding tag was registered under the rules of <xref
> target="RFC1766"></xref> and/or <xref target="RFC3066"></xref>.</t>
>
> --
>
>
>
> And Deprecated's reads:
>
>
>
> --
>
> <t>'Deprecated' contains the date the record was deprecated. Note that
> some registry entries, including both a few subtags and some of the
> grandfathered or redundant tags were deprecated prior to adoption of <xref
> target="RFC4646"></xref>.</t>
>
> =>
> <t>'Deprecated' contains the date the record was deprecated, or in the
> case of some registry entries (including a few subtags and some of the
> grandfathered or redundant tags), the date the corresponding tag was
> registered under the rules of <xref target="RFC1766"></xref> and/or <xref
> target="RFC3066"></xref>.</t>
>
> [to be more parallel and have the first sentence be less misleading.]
>
>
>  --
>
>
>
> This will, of course, appear in draft-14.
>
>
>
> Addison
>
>
>
>
>
> Addison Phillips
>
> Globalization Architect -- Lab126
>
> Chair -- W3C Internationalization Core WG
>
>
>
> Internationalization is not a feature.
>
> It is an architecture.
>
>
>
> *From:* [email-masked] [mailto:[email-masked]] *On Behalf Of
> *Mark Davis
> *Sent:* Wednesday, April 30, 2008 5:40 PM
> *To:* LTRU Working Group
> *Subject:* [Ltru] Inconsistency in descriptions in BCP 47.
>
>
>
> BCP 47 says:
>
> o Added
>
> * Added's field-value contains the date the record was added to
> the registry.
>
> ...
>
> o Deprecated
>
> * Deprecated's field-value contains the date the record was
> deprecated.
>
>
> The normal reading of this would be the date that the record was added to
> the language subtag registry, which is what is defined by BCP 47. That
> registry did not exist, formally, until September 2006 (when BCP was
> issued). That makes the following be inconsistent, since it has dates before
> 2006-09, and even before 2005-10-16:
>
> %%
> Type: grandfathered
> Tag: no-nyn
> Description: Norwegian Nynorsk
> Added: 1995-08-23
> Preferred-Value: nn
> Deprecated: 2000-02-18
> Comments: replaced by ISO code nn
>
> Suggested fix is:
>
> o Added
>
> * Added's field-value contains the date the record was added to
> the IANA language subtag registry or, if grandfathered, the
> date the corresponding entry was added to the RFC3066 IANA
> language tag registry.
>
> ...
>
> o Deprecated
>
> * Deprecated's field-value contains the date the record was
> deprecated in the IANA language subtag registry or, if grandfathered, the
> date the corresponding entry was deprecated in the RFC3066 IANA
> language tag registry.
>
>
> (Note that this also makes the text consistent with the 4645 description
> 2.9.)
>
>
> --
> Mark
>
>
>
>
> --
> Mark
>

-- 
Mark
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 1 May 2008 10:00:54 -0700

I can move the “note” into the base sentence, but subtags deprecated prior to 4646 were not deprecated by rules in 1766/3066. (Your text works for grandfathered tags.) Subtag deprecation came from rules in 4646. Hence my phrase “prior to adoption of 4646” as a proxy for “deprecated before the subtag registry was formed”.

Addison

Addison Phillips

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Thursday, May 01, 2008 9:40 AM
To: Phillips, Addison
Cc: LTRU Working Group
Subject: Re: [Ltru] Inconsistency in descriptions in BCP 47.

Ok, how about:

<t>'Deprecated' contains the date the record was deprecated. Note that some registry entries, including both a few subtags and some of the grandfathered or redundant tags were deprecated prior to adoption of <xref target="RFC4646"></xref>.</t>
=>
<t>'Deprecated' contains the date the record was deprecated, or in the case of some registry entries (including a few subtags and some of the grandfathered or redundant tags), the date the corresponding tag was deprecated under the rules of <xref target="RFC1766"></xref> and/or <xref target="RFC3066"></xref>.</t>

Is that close enough?
On Wed, Apr 30, 2008 at 9:31 PM, Phillips, Addison <[email-masked]<mailto:[email-masked]>> wrote:

The cases where subtags were deprecated "before the subtag registry" all focus on "dead on arrival" items like il/he or id/in, AFAIK. Those were NOT in the tag registry but have to do with ISO 639 or ISO 3166  changes. Cf:

%%

Type: region

Subtag: DD

Added: 2005-10-16

Preferred-Value: DE

Deprecated: 1990-10-30

%%

Addison

Addison

Addison Phillips

It is an architecture.

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Mark Davis
Sent: Wednesday, April 30, 2008 7:40 PM
To: Phillips, Addison
Cc: LTRU Working Group
Subject: Re: [Ltru] Inconsistency in descriptions in BCP 47.

I assume that all subtags with deprecation dates were either after the subtag registry was formed or were in the tag registry. If that is not true, can we discuss those cases?

On Wed, Apr 30, 2008 at 6:16 PM, Phillips, Addison <[email-masked]<mailto:[email-masked]>> wrote:

Good catch, but with a few minor edits needed. Primarily: it is not just grandfathered tags have this problem. Redundant tags do too. Also, a few subtags have "Date A"/"Date B" problems (cf. 'id'). Note also that I say 'registered' rather than 'added'. I also made the text more consistent with other field types (avoiding the whole "field-body" locution).

--

<t>'Added' contains the date the record was registered or, in the case of grandfathered or redundant tags, the

date the corresponding tag was registered under the rules of <xref target="RFC1766"></xref> and/or <xref target="RFC3066"></xref>.</t>

--

And Deprecated's reads:

--

<t>'Deprecated' contains the date the record was deprecated. Note that some registry entries, including both a few subtags and some of the grandfathered or redundant tags were deprecated prior to adoption of <xref target="RFC4646"></xref>.</t>

=>
<t>'Deprecated' contains the date the record was deprecated, or in the case of some registry entries (including a few subtags and some of the grandfathered or redundant tags), the date the corresponding tag was registered under the rules of <xref target="RFC1766"></xref> and/or <xref target="RFC3066"></xref>.</t>

--

Addison

Addison Phillips

It is an architecture.

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Mark Davis
Sent: Wednesday, April 30, 2008 5:40 PM
To: LTRU Working Group
Subject: [Ltru] Inconsistency in descriptions in BCP 47.

BCP 47 says:

o Added

...

o Deprecated

The normal reading of this would be the date that the record was added to the language subtag registry, which is what is defined by BCP 47. That registry did not exist, formally, until September 2006 (when BCP was issued). That makes the following be inconsistent, since it has dates before 2006-09, and even before 2005-10-16:

%%
Type: grandfathered
Tag: no-nyn

Suggested fix is:

o Added

...

o Deprecated

(Note that this also makes the text consistent with the 4645 description 2.9.)

--
Mark

--
Mark

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 1 May 2008 10:21:35 -0700

Okay, after a little more thought, the right thing to do is reference the actual details. Here is my proposed text:

<t>'Deprecated' contains the date the record was deprecated. In the case of a few subtags and some of the grandfathered or redundant tags, this date is prior to the initial creation of the IANA Language Subtag Registry. For details see Section 2 of <xref target="RFC4645"></xref>.</t>

Addison

Addison Phillips

From: [email-masked] [mailto:[email-masked]] On Behalf Of Phillips, Addison
Sent: Thursday, May 01, 2008 10:01 AM
To: Mark Davis
Cc: LTRU Working Group
Subject: Re: [Ltru] Inconsistency in descriptions in BCP 47.

Addison

Addison Phillips

Ok, how about:

Is that close enough?

%%

Type: region

Subtag: DD

Added: 2005-10-16

Preferred-Value: DE

Deprecated: 1990-10-30

%%

Addison

Addison

Addison Phillips

It is an architecture.

--

--

And Deprecated's reads:

--

=>

--

Addison

Addison Phillips

It is an architecture.

BCP 47 says:

o Added

...

o Deprecated

%%
Type: grandfathered
Tag: no-nyn

Suggested fix is:

o Added

...

o Deprecated

--
Mark

--
Mark

---

From: "Mark Davis" <[email-masked]>
Date: Thu, 1 May 2008 13:11:00 -0700

I know this is a nit, but the first sentence doesn't quite work. It says,
expanded out, "'Deprecated' contains the date on which the record was made
deprecated in the subtag registry". That is clearly false when the date is
before the existence of the subtag registry. How about:

<t>'Deprecated' contains the date the record was deprecated, or in the case
of a few subtags and some of the grandfathered or redundant tags, the date
the tag or subtag was deprecated according to Section 2 of <xref
target="RFC4645"></xref>.</t>

On Thu, May 1, 2008 at 10:21 AM, Phillips, Addison <[email-masked]>
wrote:

>  Okay, after a little more thought, the right thing to do is reference the
> actual details. Here is my proposed text:
>
>
>
> <t>'Deprecated' contains the date the record was deprecated. In the case
> of a few subtags and some of the grandfathered or redundant tags, this date
> is prior to the initial creation of the IANA Language Subtag Registry. For
> details see Section 2 of <xref target="RFC4645"></xref>.</t>
>
>
>
> Addison
>
>
>
> Addison Phillips
>
> *Phillips, Addison
> *Sent:* Thursday, May 01, 2008 10:01 AM
> *To:* Mark Davis
>
> *Cc:* LTRU Working Group
> I can move the "note" into the base sentence, but subtags deprecated prior
> to 4646 were not deprecated by rules in 1766/3066. (Your text works for
> grandfathered tags.) Subtag deprecation came from rules in 4646. Hence my
> phrase "prior to adoption of 4646" as a proxy for "deprecated before the
> subtag registry was formed".
>
>
>
> Addison
>
>
>
> Addison Phillips
>
> *Sent:* Thursday, May 01, 2008 9:40 AM
> *To:* Phillips, Addison
> *Cc:* LTRU Working Group

---

From: "Phillips, Addison" <[email-masked]>
Date: Thu, 1 May 2008 15:30:41 -0700

(squinting) I suppose so, but that’s why I was careful not to expand it out to say “in the subtag registry”. ‘Deprecated’ indicates the date of deprecation of the value. In some cases, RFC 4645 merely repeats RFC 3066’s imposed deprecation date. What’s important is that some ‘Deprecated’ fields have dates earlier than the associated ‘Added’ field.

Looking at the text a bit more, I think we ought to modify the section on Deprecated (rather than the brief explanation we're discussing) to have this information.  So I did the following.

1. Modified the text we're discussing to read:

<t>Deprecated<list>
        <t>Deprecated's field-body contains the date the record was deprecated.
      In some cases this value is before that of the associated 'Added' field
      in the registry. </t>
</list></t>

2. Modified the subsection on 'Deprecated' to read:

<section anchor="deprecatedfield" title="Deprecated Field">

<t>The field 'Deprecated' MAY be added, changed, or removed from any
record via the maintenance process described in <xref target="maintreg"/>
or via the registration process described in <xref target="registrationProc"/>.
Usually, the addition of a 'Deprecated' field is due to the action
of one of the standards bodies, such as ISO 3166, withdrawing a code.
Although valid in language tags, subtags and tags with a 'Deprecated'
field are deprecated and validating processors SHOULD NOT generate these
subtags. Note that a record that contains a 'Deprecated' field and no
corresponding 'Preferred-Value' field has no replacement mapping.</t>

<t>In some historical cases, it might not have been possible to
reconstruct the original deprecation date. For these cases, an
approximate date appears in the registry. Some subtags and some
grandfathered or redundant tags were deprecated before the initial
creation of the registry. The exact rules for this appear in
Section 2 of <xref target="RFC4645"></xref>. Note that these
records have a 'Deprecated' field with an earlier date then
the corresponding 'Added' field!</t>

</section>

Addison Phillips

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Thursday, May 01, 2008 1:11 PM
To: Phillips, Addison
Cc: LTRU Working Group
Subject: Re: [Ltru] Inconsistency in descriptions in BCP 47.

I know this is a nit, but the first sentence doesn't quite work. It says, expanded out, "'Deprecated' contains the date on which the record was made deprecated in the subtag registry". That is clearly false when the date is before the existence of the subtag registry. How about:

<t>'Deprecated' contains the date the record was deprecated, or in the case of a few subtags and some of the grandfathered or redundant tags, the date the tag or subtag was deprecated according to Section 2 of <xref target="RFC4645"></xref>.</t>
On Thu, May 1, 2008 at 10:21 AM, Phillips, Addison <[email-masked]> wrote:
Okay, after a little more thought, the right thing to do is reference the actual details. Here is my proposed text:

Addison

Addison Phillips

Cc: LTRU Working Group

I can move the "note" into the base sentence, but subtags deprecated prior to 4646 were not deprecated by rules in 1766/3066. (Your text works for grandfathered tags.) Subtag deprecation came from rules in 4646. Hence my phrase "prior to adoption of 4646" as a proxy for "deprecated before the subtag registry was formed".

Addison

Addison Phillips

Ok, how about:

Is that close enough?
On Wed, Apr 30, 2008 at 9:31 PM, Phillips, Addison <[email-masked]> wrote:
The cases where subtags were deprecated "before the subtag registry" all focus on "dead on arrival" items like il/he or id/in, AFAIK. Those were NOT in the tag registry but have to do with ISO 639 or ISO 3166  changes. Cf:

%%
Type: region
Subtag: DD

Addison

Addison

Addison Phillips

I assume that all subtags with deprecation dates were either after the subtag registry was formed or were in the tag registry. If that is not true, can we discuss those cases?
On Wed, Apr 30, 2008 at 6:16 PM, Phillips, Addison <[email-masked]> wrote:
Good catch, but with a few minor edits needed. Primarily: it is not just grandfathered tags have this problem. Redundant tags do too. Also, a few subtags have "Date A"/"Date B" problems (cf. 'id'). Note also that I say 'registered' rather than 'added'. I also made the text more consistent with other field types (avoiding the whole "field-body" locution).

And Deprecated's reads:

--

Addison

Addison Phillips

From: [email-masked] [mailto:[email-masked]] On Behalf Of Mark Davis
Sent: Wednesday, April 30, 2008 5:40 PM
To: LTRU Working Group
Subject: [Ltru] Inconsistency in descriptions in BCP 47.

BCP 47 says:
o Added

...

o Deprecated

%%
Type: grandfathered
Tag: no-nyn

Suggested fix is:
o Added

...

o Deprecated

--
Mark

--
Mark

--
Mark

---

From: "Mark Davis" <[email-masked]>
Date: Thu, 1 May 2008 15:37:55 -0700

Looks good, let's go with it.

On Thu, May 1, 2008 at 3:30 PM, Phillips, Addison <[email-masked]>
wrote:

> (squinting) I suppose so, but that's why I was careful not to expand it
> out to say "in the subtag registry". 'Deprecated' indicates the date of
> deprecation of the value. In some cases, RFC 4645 merely repeats RFC 3066's
> imposed deprecation date. What's important is that some 'Deprecated' fields
> have dates earlier than the associated 'Added' field.
>
> Looking at the text a bit more, I think we ought to modify the section on
> Deprecated (rather than the brief explanation we're discussing) to have this
> information.  So I did the following.
>
> case of a few subtags and some of the grandfathered or redundant tags, the
> date the tag or subtag was deprecated according to Section 2 of <xref